Bug 1764703 - Ship updated ostree for s390x support
Summary: Ship updated ostree for s390x support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.2.z
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Colin Walters
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1769971
Blocks: OCP/Z_4.2
TreeView+ depends on / blocked
 
Reported: 2019-10-23 15:10 UTC by Colin Walters
Modified: 2019-12-03 22:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1765614 1769971 (view as bug list)
Environment:
Last Closed: 2019-12-03 22:43:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3953 None None None 2019-12-03 22:43:23 UTC

Description Colin Walters 2019-10-23 15:10:30 UTC
Ship a newer ostree in 4.2.z to enable s390x.

So far, we haven't really had a formal process for shipping host updates on z streams.  Basically we don't do any new builds for "CoreOS parts" (ignition, ostree) and just take base RHEL updates which is mostly security.

Let's use this bug to track signoff for shipping a new ostree in 4.2.z to enable s390x.

A lot of patches went in; it'd be possible to backport but in practice ostree has only merged quite safe changes, we have CI etc.  I think it's better from a testing standpoint to ship a new upstream release.

Comment 3 Tuan Hoang 2019-10-31 14:17:53 UTC
Assuming new tag 2019.5 by Colin yesterday, then I guess we are good with this one. https://github.com/ostreedev/ostree/releases/tag/v2019.5

Comment 5 Micah Abbott 2019-11-25 19:53:04 UTC
`ostree-2019.5-1.el8.s390x.rpm` has been tagged into the RHAOS 4.2 puddle

Comment 7 Micah Abbott 2019-11-27 14:41:02 UTC
Verified with registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2019-11-26-164052


```
$ oc image info --output json $(oc adm release info -a ~/openshift-cluster-installs/all-the-pull-secrets.json --image-for=machine-os-content  registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2019-11-26-164052) | jq .config.config.Labels.version
"42.81.20191126.0"

$ curl -Ls https://releases-art-rhcos.svc.ci.openshift.org/art/storage/releases/rhcos-4.2/42.81.20191126.0/commitmeta.json | jq '.["rpmostree.rpmdb.pkglist"][] | select(.[0] == "ostree")'
[
  "ostree",
  "0",
  "2019.5",
  "1.el8",
  "x86_64"
]
```

(While this is for the x86_64 arch, the s390x version is included in the same puddle used to build the x86_64 version)

Comment 9 errata-xmlrpc 2019-12-03 22:43:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3953


Note You need to log in before you can comment on or make changes to this bug.